package scws;

public class Ship {
	private final Length length;
	private final Length width;
	private final Mass   mass;
	private final Speed  speed;
	public Ship(Length length, Length width, Mass mass, Speed speed) {
		this.length = length;
		this.width  = width;
		this.mass   = mass;
		this.speed  = speed;
	}
	public Length length() {
		return length;
	}
	public Length width() {
		return width;
	}
	public Mass mass() {
		return mass;
	}
	public Speed speed() {
		return speed;
	}
}
